Subject: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jan 2014 09:38:26 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Paul Eggert <[email-masked]>,  [email-masked],  [email-masked]
> Date: Fri, 03 Jan 2014 16:52:01 -0500
> 
> My position is as follows:
> - I'd rather use Texinfo defaults, of course, to the extent that they
>   work OK for Emacs.
> - We should feel free to use Unicode chars (in utf-8 encoding) in .texi files
>   (and utf-8 should be the default encoding, so there's no need to
>   specify it explicitly in the file).
> - Those Unicode chars should be preserved in the .info files (i.e. Info
>   files should also use utf-8).
> - The chars introduced by "makeinfo" itself should stick to ASCII for
>   now by default.  I think we're pretty close to the point where ‘ and ’
>   can be assumed to work "everywhere", but we're not quite there yet.
>   But I'd hope that Debian builds would not follow that default and
>   would tell make info to use things like ‘ and ’ since these chars
>   should pretty much always work in a Debian system.

That's my position as well.  I think using --disable-encoding in
Texinfo 5 and --enable-encoding in older versions will achieve
precisely that.  It is also simple and doesn't require any
configure-time options.  All we need is a simple test in the Makefile
of the version of makeinfo being used.